Place Order
curl --request POST \
--url https://api-staging.unbridaled.ai/api/v2/orders/place \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_type": "invoice",
"merchant_uuid": "419c61fa-e674-414a-a1e2-7c5270ed9668",
"order_reference": "999917",
"order_id": "777717",
"allow_unavailable": true,
"line_items": [
{
"sku": "UB1E29776FA7",
"quantity": 5
}
]
}
'import requests
url = "https://api-staging.unbridaled.ai/api/v2/orders/place"
payload = {
"order_type": "invoice",
"merchant_uuid": "419c61fa-e674-414a-a1e2-7c5270ed9668",
"order_reference": "999917",
"order_id": "777717",
"allow_unavailable": True,
"line_items": [
{
"sku": "UB1E29776FA7",
"quantity": 5
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order_type: 'invoice',
merchant_uuid: '419c61fa-e674-414a-a1e2-7c5270ed9668',
order_reference: '999917',
order_id: '777717',
allow_unavailable: true,
line_items: [{sku: 'UB1E29776FA7', quantity: 5}]
})
};
fetch('https://api-staging.unbridaled.ai/api/v2/orders/place', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"billing_address": {
"address_1": "820 Innes Ave.",
"address_2": "",
"city": "San Francisco",
"country_code": "USA",
"postal_code": "94124",
"region": "CA"
},
"cancellations": null,
"events": null,
"fulfillments": [],
"line_items": [
{
"created_on": "2021-12-15T17:53:29.091914+00:00",
"description": "",
"fulfilled_quantity": 0,
"fulfillment_status": null,
"name": "Gem UB1E29776FA7",
"position": 0,
"price": 1.625,
"product_data": {
"fields": {
"base_currency_code": "USD",
"base_retail_price": 10,
"base_wholesale_price": 1.625,
"cert_num": null,
"cert_url": "",
"clarity": "VS2",
"color": "G",
"country_code": null,
"crown_angle": null,
"culet_size": null,
"currency_code": "USD",
"cut_grade": null,
"cut_grade_description": "",
"delivery_days_max": 7,
"delivery_days_min": 5,
"depth": null,
"depth_percentage": null,
"exchange_rate": 1,
"fluorescence": null,
"girdle_max": null,
"girdle_min": null,
"id": 402902,
"image_bottom_url": null,
"image_top_url": "",
"lab": null,
"length": 0.8,
"memo": false,
"merchant_template_group": null,
"merchant_template_label": null,
"merchant_template_uuid": null,
"off_rap_price": null,
"pavilion_angle": null,
"pavilion_depth": null,
"polish_grade": null,
"quantity": 999994,
"ratio": null,
"retail_price": 10,
"returnable": null,
"shape": "round",
"shape_icon_url": "https://unbridaled-local.s3.amazonaws.com/das/static/images/shape_icons/shape-round-brilliant-parcel.svg",
"shape_icon_url_png": "https://unbridaled-local.s3.amazonaws.com/das/static/images/shape_icons/shape-round-brilliant-parcel.png",
"shape_image_url": null,
"sku": "UB1E29776FA7",
"symmetry_grade": null,
"table_percentage": null,
"type": "mined",
"ux_url": null,
"video_url": null,
"weight": 0.0025,
"wholesale_price": 1.625,
"width": null
}
},
"product_id": "402902",
"product_type": "gem",
"properties": null,
"quantity": 5,
"sku": "UB1E29776FA7",
"updated_on": "2021-12-15T17:53:29.091922+00:00",
"uuid": "f1131af3-50ef-42b9-a577-e8cb0a07e1f3",
"vendor": null
}
],
"margins": {
"lab grown": [
{
"percent": 50,
"weight_max": 0.75,
"weight_min": 0
},
{
"percent": 45,
"weight_max": 0.99,
"weight_min": 0.76
},
{
"percent": 45,
"weight_max": 1.99,
"weight_min": 1
},
{
"percent": 40,
"weight_max": 10,
"weight_min": 2
}
],
"mined": [
{
"percent": 35,
"weight_max": 0.75,
"weight_min": 0
},
{
"percent": 30,
"weight_max": 0.99,
"weight_min": 0.76
},
{
"percent": 30,
"weight_max": 1.99,
"weight_min": 1
},
{
"percent": 25,
"weight_max": 10,
"weight_min": 2
}
]
},
"memo_due_date": null,
"memo_id": null,
"merchant": {
"activated": true,
"approval_status": null,
"billing_address_1": "820 Innes Ave.",
"billing_address_2": "",
"billing_city": "San Francisco",
"billing_country_code": "USA",
"billing_postal_code": "94124",
"billing_region": "CA",
"braintree_customer_id": "233727168",
"business_phone": "",
"business_type": "",
"cc_emails": null,
"deleted": false,
"email": "[email protected]",
"external_id": "419c61fa-e674-414a-a1e2-7c5270ed9668",
"first_name": "Timothy",
"internal_email": "[email protected]",
"last_name": "Chung",
"legal_dba": "",
"merchant_settings": {
"margin_mode": "weight"
},
"onboarding_status": "completed",
"provider": "unbridaled",
"references": [
{
"business_phone": "",
"company_name": "",
"email": "",
"first_name": "",
"last_name": "",
"position": 0,
"upload_urls": [
"https://unbridaled-local.s3.amazonaws.com/das/uploads/file2.png"
]
},
{
"business_phone": "",
"company_name": "",
"email": "",
"first_name": "",
"last_name": "",
"position": 1,
"upload_urls": [
"https://unbridaled-local.s3.amazonaws.com/das/uploads/file.png"
]
}
],
"shipping_address_1": "820 Innes Ave.",
"shipping_address_2": "",
"shipping_city": "San Francisco",
"shipping_country_code": "USA",
"shipping_postal_code": "94124",
"shipping_region": "CA",
"subscription_status": "completed",
"tax_id": "",
"url": null,
"uuid": "419c61fa-e674-414a-a1e2-7c5270ed9668"
},
"merchant_uuid": "419c61fa-e674-414a-a1e2-7c5270ed9668",
"notes": "",
"order_channel": "ecommerce",
"order_id": "7777171",
"order_reference": "9999171",
"order_status": null,
"order_type": "invoice",
"ordered_on": "2021-12-15T17:57:09.046284+00:00",
"payment_status": null,
"products": {
"data": [
{
"base_currency_code": "USD",
"base_retail_price": 10,
"base_wholesale_price": 1.625,
"cert_num": null,
"cert_url": "",
"clarity": "VS2",
"color": "G",
"country_code": null,
"crown_angle": null,
"culet_size": null,
"currency_code": "USD",
"cut_grade": null,
"cut_grade_description": "",
"delivery_days_max": 7,
"delivery_days_min": 5,
"depth": null,
"depth_percentage": null,
"exchange_rate": 1,
"fluorescence": null,
"girdle_max": null,
"girdle_min": null,
"id": 402902,
"image_bottom_url": null,
"image_top_url": "",
"lab": null,
"length": 0.8,
"memo": false,
"merchant_template_group": null,
"merchant_template_label": null,
"merchant_template_uuid": null,
"off_rap_price": null,
"pavilion_angle": null,
"pavilion_depth": null,
"polish_grade": null,
"quantity": 999994,
"ratio": null,
"retail_price": 10,
"returnable": null,
"shape": "round",
"shape_icon_url": "https://unbridaled-local.s3.amazonaws.com/das/static/images/shape_icons/shape-round-brilliant-parcel.svg",
"shape_icon_url_png": "https://unbridaled-local.s3.amazonaws.com/das/static/images/shape_icons/shape-round-brilliant-parcel.png",
"shape_image_url": null,
"sku": "UB1E29776FA7",
"symmetry_grade": null,
"table_percentage": null,
"type": "mined",
"ux_url": null,
"video_url": null,
"weight": 0.0025,
"wholesale_price": 1.625,
"width": null
}
]
},
"provider": "unbridaled",
"shipping_address": {
"address_1": "820 Innes Ave.",
"address_2": "",
"city": "San Francisco",
"country_code": "USA",
"postal_code": "94124",
"region": "CA"
},
"shipping_status": null,
"skus": [
"UB1E29776FA7"
],
"tracking": null,
"uuid": "973c4c41-ce72-42c5-b184-3f0d8d4bb1af"
}Orders
Place Order
Place an order by specifying skus and quantities.
Returns
Returns an Order object if successful.
POST
/
api
/
v2
/
orders
/
place
Place Order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of LineItem objects
Show child attributes
Show child attributes
Type of order.
Available options:
invoice, memo The order ID or order number from Shopify or other ecommerce platforms, used to link orders between systems. Must be unique per merchant per order.
A friendly order reference sent to the end customer by Shopify or other ecommerce platforms. Must be unique per merchant per order.
Custom notes on the order
UUID of a merchant shipping address. Defaults to the merchant's default shipping address if not provided. Retrieve available addresses via the List Merchant Addresses endpoint.
⌘I